Skip to main content
POST
/
v1
/
admin
/
airbyte-catalog
/
{source_definition_id}
/
discover
Discover an Airbyte connector's capabilities
curl --request POST \
  --url https://api.withsplendor.com/v1/admin/airbyte-catalog/{source_definition_id}/discover \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "airbyte_workspace_id": "ws_1",
  "connection_specification": {},
  "consent_url": "https://connect.airbyte.com/oauth/...",
  "docker_image_tag": "3.0.0",
  "docker_repository": "airbyte/source-stripe",
  "oauth_input_configuration": {},
  "oauth_mode": "airbyte",
  "source_definition_id": "def_1",
  "source_definition_name": "Stripe",
  "supports_airbyte_oauth": true,
  "tenant_id": "acme"
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Path Parameters

source_definition_id
string
required

Response

Successful Response

airbyte_workspace_id
string
required
connection_specification
Connection Specification · object
required
docker_image_tag
string | null
required
docker_repository
string | null
required
oauth_input_configuration
Oauth Input Configuration · object
required
oauth_mode
enum<string>
required
Available options:
airbyte,
none
source_definition_id
string
required
source_definition_name
string
required
supports_airbyte_oauth
boolean
required
tenant_id
string
required